Bug Hunting Session
Bug 93750 - EMF+ is not displayed at all
Summary: EMF+ is not displayed at all
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-28 18:39 UTC by Andras Timar
Modified: 2016-10-25 19:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
bugdoc (EMF+) (64.86 KB, application/x-msmetafile)
2015-08-28 18:39 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2015-08-28 18:39:26 UTC
Created attachment 118246 [details]
bugdoc (EMF+)

The attached bugdoc (EMF+ file) is not displayed at all in LibreOffice. 

When an array of EMF+ has extra bytes in the end, that are less than 12, they should not be treated as another EMF+ record, but simply ignored.
Comment 1 Michael Meeks 2015-08-28 21:37:56 UTC
Mike K is working on this currently I believe.
Comment 2 Commit Notification 2015-08-31 19:01:52 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=daecb93affd5e5ec89eec0d18f433a296b9aed1d

tdf#93750 allow for EMF+ record padding up to 11 bytes

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-09-02 08:07:44 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=975ab665df3158799cbde1146e124d8c08b4d9df&h=libreoffice-5-0

tdf#93750 allow for EMF+ record padding up to 11 bytes

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (CIB) 2016-05-09 16:37:32 UTC
remove "backportrequest" for EOL release branch